---
name: d.erase
description: Erases the contents of the active graphics display frame with user defined color.
keywords: [ display, graphics, monitors ]
---

# d.erase

## NAME

***d.erase*** - Erases the contents of the active graphics display frame with user defined color.

### 
### SYNOPSIS

**d.erase**  
**d.erase --help**  
**d.erase** [**-f**]  [**bgcolor**=*name*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-f**  
&nbsp;&nbsp;&nbsp;&nbsp;Remove all frames and erase the screen  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**bgcolor**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Background color  
&nbsp;&nbsp;&nbsp;&nbsp;Either a standard color name or R:G:B triplet  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *white*

## DESCRIPTION

*d.erase* erases the contents of the active graphics frame, and replaces
it with the color black (by default) or by whatever color is specified
by the user.

## SEE ALSO

*[d.mon](d.mon.md), [d.redraw](d.redraw.md), [d.rast](d.rast.md),
[d.vect](d.vect.md)*

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: [d.erase source code](https://github.com/OSGeo/grass/tree/main/display/d.erase)
([history](https://github.com/OSGeo/grass/commits/main/display/d.erase))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
