---
name: d.out.file.py
description: Saves the contents of the active display monitor to a graphics file.
keywords: [ display, export, output ]
---

# d.out.file.py

## NAME

***d.out.file.py*** - Saves the contents of the active display monitor to a graphics file.

### 
### SYNOPSIS

**d.out.file.py**  
**d.out.file.py --help**  
**d.out.file.py**  **output**=*name*
 **format**=*string*
 [**size**=*width,height*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output file  
**format**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Graphics file format  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *png, jpg, bmp, gif, tif*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *png*  
**size**=*width,height*  
&nbsp;&nbsp;&nbsp;&nbsp;Width and height of output image

## DESCRIPTION

*d.out.file* saves the content of the currently selected monitor into
graphic file. The active monitor can be selected with *d.mon*.
*d.out.file* can be run from GUI Console tab, too.

## SEE ALSO

*[d.redraw](d.redraw.md), [d.erase](d.erase.md), [d.rast](d.rast.md),
[d.vect](d.vect.md), [d.mon](d.mon.md)*

## AUTHOR

Anna Petrasova, [NCSU GeoForAll
Lab](https://geospatial.ncsu.edu/geoforall/)

## SOURCE CODE

Available at: [d.out.file source code](https://github.com/OSGeo/grass/tree/main/scripts/d.out.file)
([history](https://github.com/OSGeo/grass/commits/main/scripts/d.out.file))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
