---
name: d.profile
description: Plots profile of a transect.
keywords: [ display, profile, raster, plot ]
---

# d.profile

## NAME

***d.profile*** - Plots profile of a transect.

### 
### SYNOPSIS

**d.profile**  
**d.profile --help**  
**d.profile** [**-r**]  **map**=*name*
 **coordinates**=*east,north* [,*east,north*,...]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-r**  
&nbsp;&nbsp;&nbsp;&nbsp;Use map's range recorded range  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Raster map to be profiled  
**coordinates**=*east,north* [,*east,north*,...] **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Profile coordinate pairs

## DESCRIPTION

*d.profile* displays the profile for a specified transect.

## SEE ALSO

*[d.where](d.where.md), [r.profile](r.profile.md),
[r.transect](r.transect.md), [wxGUI profile tool](wxGUI.md)*

## AUTHOR

Glynn Clements This program has been completely re-written for 7.0. It
bears no relation to the interactive d.profile module in previous
versions.

## SOURCE CODE

Available at: [d.profile source code](https://github.com/OSGeo/grass/tree/main/display/d.profile)
([history](https://github.com/OSGeo/grass/commits/main/display/d.profile))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
