---
name: d.what.vect.py
description: Allows the user to interactively query vector map layers at user-selected locations.
keywords: [ display, vector ]
---

# d.what.vect.py

## NAME

***d.what.vect.py*** - Allows the user to interactively query vector map layers at user-selected locations.

### 
### SYNOPSIS

**d.what.vect.py**  
**d.what.vect.py --help**  
**d.what.vect.py**  **map**=*name* [,*name*,...]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* [,*name*,...] **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input vector map(s)  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source(s) for direct OGR access

## DESCRIPTION

*d.what.vect* outputs the category value(s) associated with
user-specified location(s) in user-specified vector map layer(s). The
active monitor can be selected with *d.mon*.

## SEE ALSO

*[d.what.rast](d.what.rast.md), [d.redraw](d.redraw.md),
[d.erase](d.erase.md), [d.rast](d.rast.md), [d.vect](d.vect.md),
[d.mon](d.mon.md)*

## AUTHOR

Anna Petrasova, [NCSU GeoForAll
Lab](https://geospatial.ncsu.edu/geoforall/)

## SOURCE CODE

Available at: [d.what.vect source code](https://github.com/OSGeo/grass/tree/main/scripts/d.what.vect)
([history](https://github.com/OSGeo/grass/commits/main/scripts/d.what.vect))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
