---
name: db.drivers
description: Lists all database drivers.
keywords: [ database, connection settings ]
---

# db.drivers

## NAME

***db.drivers*** - Lists all database drivers.

### 
### SYNOPSIS

**db.drivers**  
**db.drivers --help**  
**db.drivers** [**-fp**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-f**  
&nbsp;&nbsp;&nbsp;&nbsp;Full output  
**-p**  
&nbsp;&nbsp;&nbsp;&nbsp;Print drivers and exit  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

*db.drivers* lists all database drivers (DBMI backends).

## EXAMPLE

Show all installed GRASS database drivers:

```sh
db.drivers -p
pg
ogr
sqlite
dbf
```

## SEE ALSO

*[db.connect](db.connect.md), [db.describe](db.describe.md),
[db.droptable](db.droptable.md), [db.execute](db.execute.md),
[db.login](db.login.md), [db.tables](db.tables.md), [GRASS SQL
interface](sql.md)*

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

## SOURCE CODE

Available at: [db.drivers source code](https://github.com/OSGeo/grass/tree/main/db/db.drivers)
([history](https://github.com/OSGeo/grass/commits/main/db/db.drivers))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
