---
name: db.dropdb
description: Removes an existing database.
keywords: [ database, attribute table, SQL ]
---

# db.dropdb

## NAME

***db.dropdb*** - Removes an existing database.

### 
### SYNOPSIS

**db.dropdb**  
**db.dropdb --help**  
**db.dropdb**  **driver**=*name*
 **database**=*name*
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**driver**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of database driver  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *dbf, odbc, ogr, pg, sqlite*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *sqlite*  
**database**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of database

## DESCRIPTION

*db.dropdb* removes an existing database using given database
**driver**. Currently only [SQLite](grass-sqlite.md) and
[PostgreSQL](grass-pg.md) database drivers are supported.

## EXAMPLES

### Drop (delete) an existing database connected through SQLite driver

Note that the standard GRASS GIS SQLite database is by default found in
the user's current mapset. This example shows an out-of-mapset database
removal:

```sh
db.dropdb driver=sqlite database=/opt/sqlite.db
```

### Drop an existing database connected through PostgreSQL driver

```sh
db.dropdb driver=pg database=grassdb
```

## TODO

Support other database drivers, too.

## SEE ALSO

*[db.createdb](db.createdb.md), [db.describe](db.describe.md),
[db.droptable](db.droptable.md), [db.execute](db.execute.md),
[db.login](db.login.md), [db.tables](db.tables.md)*

[GRASS SQL interface](sql.md)

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy  
SQLite and PostgreSQL support by Martin Landa, Czech Technical
University in Prague, Czech Republic

## SOURCE CODE

Available at: [db.dropdb source code](https://github.com/OSGeo/grass/tree/main/db/db.dropdb)
([history](https://github.com/OSGeo/grass/commits/main/db/db.dropdb))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
