---
name: db.test.py
description: Test database driver, database must exist and set by db.connect.
keywords: [ database, attribute table ]
---

# db.test.py

## NAME

***db.test.py*** - Test database driver, database must exist and set by db.connect.

### 
### SYNOPSIS

**db.test.py**  
**db.test.py --help**  
**db.test.py**  **test**=*string*
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**test**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Test name  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *test1*

## DESCRIPTION

*db.test* tests database driver and database server running set of SQL
queries. Database must exist and connection must be set by *db.connect*.

## EXAMPLE

Test current SQL backend driver:

```sh
db.connect -p
db.test test=test1
```

## SEE ALSO

*[GRASS SQL interface](sql.md), [db.connect](db.connect.md),
[db.describe](db.describe.md), [db.drivers](db.drivers.md)*

## AUTHOR

Radim Blazek

## SOURCE CODE

Available at: [db.test source code](https://github.com/OSGeo/grass/tree/main/scripts/db.test)
([history](https://github.com/OSGeo/grass/commits/main/scripts/db.test))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
