---
name: g.dirseps
description: Converts any directory separator characters in the input string to or from native host format, and writes the changed path to standard output. Useful in scripts for Windows compatibility.
keywords: [ general, map management, scripts ]
---

# g.dirseps

## NAME

***g.dirseps*** - Internal GRASS utility for converting directory separator characters.

Converts any directory separator characters in the input string to or from native host format, and writes the changed path to standard output. Useful in scripts for Windows compatibility.

### 
### SYNOPSIS

**g.dirseps**  
**g.dirseps --help**  
**g.dirseps** [**-hg**]  [**path**=*string*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-h**  
&nbsp;&nbsp;&nbsp;&nbsp;Convert directory separators to native host format  
**-g**  
&nbsp;&nbsp;&nbsp;&nbsp;Convert directory separators to GRASS internal format  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**path**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Path to be converted (read from stdin if not specified)

## DESCRIPTION

*g.dirseps* is an internal tool only. It copies input string to stdout,
changing directory separator characters as specified by flags. It is
used for interoperability between Unix and MS-Windows pathnames.

## AUTHOR

Paul Kelly

## SOURCE CODE

Available at: [g.dirseps source code](https://github.com/OSGeo/grass/tree/main/general/g.dirseps)
([history](https://github.com/OSGeo/grass/commits/main/general/g.dirseps))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
