---
name: g.download.location.py
description: Get GRASS project from an URL or file path
keywords: [ general, data, download, import ]
---

# g.download.location.py

## NAME

***g.download.location.py*** - Download GRASS project (location) from the web

Get GRASS project from an URL or file path

### 
### SYNOPSIS

**g.download.location.py**  
**g.download.location.py --help**  
**g.download.location.py**  **url**=*string*
 [**name**=*name*]
 [**path**=*path*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**url**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;URL of the archive with a project to be downloaded  
&nbsp;&nbsp;&nbsp;&nbsp;URL of ZIP, TAR.GZ, or other similar archive  
**name**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Project (location) name  
&nbsp;&nbsp;&nbsp;&nbsp;Project name (not path to project)  
**path**=*path*  
&nbsp;&nbsp;&nbsp;&nbsp;GRASS GIS database directory  
&nbsp;&nbsp;&nbsp;&nbsp;Default: path to the current GRASS GIS database

## DESCRIPTION

*g.download.location* has been renamed to
[g.download.project](g.download.project.md) and exists for backwards
compatibility reasons. It will be removed in the next major version.

## SEE ALSO

*[g.download.project](g.download.project.md)*

## AUTHOR

Vaclav Petras, [NCSU GeoForAll
Lab](http://geospatial.ncsu.edu/geoforall/)

## SOURCE CODE

Available at: [g.download.location source code](https://github.com/OSGeo/grass/tree/main/scripts/g.download.location)
([history](https://github.com/OSGeo/grass/commits/main/scripts/g.download.location))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
