---
name: g.extension.all.py
description: By default only extensions built against different GIS Library are rebuilt.
keywords: [ general, installation, extensions ]
---

# g.extension.all.py

## NAME

***g.extension.all.py*** - Rebuilds or removes all locally installed GRASS Addons extensions.

By default only extensions built against different GIS Library are rebuilt.

### 
### SYNOPSIS

**g.extension.all.py**  
**g.extension.all.py --help**  
**g.extension.all.py** [**-f**]  [**operation**=*string*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-f**  
&nbsp;&nbsp;&nbsp;&nbsp;Force operation (required for removal)  
  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**operation**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Operation to be performed  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *rebuild, remove*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *rebuild*

## DESCRIPTION

*g.extension.rebuild.all* reinstalls and updates all locally installed
GRASS Addons extensions in local GRASS installation. The extensions can
be installed by *[g.extension](g.extension.md)*. List of locally
installed extensions can be printed by `g.extension -a`.

## EXAMPLES

Rebuild locally installed extensions which were built against different
GIS Library (see `g.version -r`)

```sh
g.extension.rebuild.all
```

Force to rebuild all locally installed extensions

```sh
g.extension.rebuild.all -f
```

## SEE ALSO

*[g.extension](g.extension.md)*

See also [GRASS Addons](https://grasswiki.osgeo.org/wiki/GRASS_AddOns)
wiki page.

## AUTHOR

Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: [g.extension.all source code](https://github.com/OSGeo/grass/tree/main/scripts/g.extension.all)
([history](https://github.com/OSGeo/grass/commits/main/scripts/g.extension.all))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
