---
name: g.gui.timeline
description: Allows comparing temporal datasets by displaying their temporal extents in a plot.
keywords: [ general, GUI, temporal, plot ]
description: wxGUI Timeline Tool
index: topic_GUI|GUI
---

# g.gui.timeline

## NAME

***g.gui.timeline*** - Allows comparing temporal datasets by displaying their temporal extents in a plot.

### 
### SYNOPSIS

**g.gui.timeline**  
**g.gui.timeline --help**  
**g.gui.timeline** [**-3**]  [**inputs**=*name* [,*name*,...]]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-3**  
&nbsp;&nbsp;&nbsp;&nbsp;Show also 3D plot of spatio-temporal extents  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**inputs**=*name* [,*name*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time datasets

# wxGUI Timeline Tool

## DESCRIPTION

The **Timeline Tool** is a *[wxGUI](wxGUI.md)* component which allows
the user to compare the extents of temporal datasets (strds, stvds,
str3ds) in a plot.

Supported features:

- temporal datasets with interval/point and absolute/relative time
- 2D plots - temporal extent
- 3D plots - spatio-temporal extent (matplotlib \>= 1.0.0)
- pop-up annotations with basic metadata

![Timeline Tool screenshot](timeline_2D.jpg)

## NOTES

*g.gui.timeline* requires the Python plotting library
[Matplotlib](https://matplotlib.org/).

## SEE ALSO

*[Temporal data processing](temporal.md), [wxGUI](wxGUI.md), [wxGUI
components](wxGUI.components.md)*

## AUTHOR

Anna Kratochvilova, [Czech Technical University in
Prague](https://www.cvut.cz), Czech Republic

## SOURCE CODE

Available at: [g.gui.timeline source code](https://github.com/OSGeo/grass/tree/main/gui/wxpython/timeline)
([history](https://github.com/OSGeo/grass/commits/main/gui/wxpython/timeline))  
Latest change: Friday Mar 07 09:15:07 2025 in commit [08286fb](https://github.com/OSGeo/grass/commit/08286fbe4ac267017a7a39c3189b59cbe03bf2ce)
