---
name: g.manual.py
description: Displays the manual pages of GRASS modules.
keywords: [ general, manual, help ]
---

# g.manual.py

## NAME

***g.manual.py*** - Displays the manual pages of GRASS modules.

### 
### SYNOPSIS

**g.manual.py**  
**g.manual.py --help**  
**g.manual.py** [**-itmo**]  **entry**=*string*
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-i**  
&nbsp;&nbsp;&nbsp;&nbsp;Display index  
**-t**  
&nbsp;&nbsp;&nbsp;&nbsp;Display topics  
**-m**  
&nbsp;&nbsp;&nbsp;&nbsp;Display as MAN text page instead of HTML page in browser  
**-o**  
&nbsp;&nbsp;&nbsp;&nbsp;Display online manuals instead of locally installed  
&nbsp;&nbsp;&nbsp;&nbsp;Use online manuals available at https://grass.osgeo.org website. This flag has no effect when displaying MAN text pages.  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**entry**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Manual entry to be displayed

## DESCRIPTION

*g.manual* displays the manual pages of GRASS in HTML and MAN format.

## NOTES

The name of the browser is defined in the environment variable
`GRASS_HTML_BROWSER`. For most platforms this should be an executable in
your PATH, or the full path to an executable. See
[variables](variables.md) for details.

## EXAMPLES

Show index page in the browser.

```sh
g.manual -i
```

Show manual page of *[d.vect](d.vect.md)* module in the browser.

```sh
g.manual d.vect
```

Show module manual page in terminal.

```sh
g.manual -m d.vect
```

## AUTHOR

Markus Neteler

## SOURCE CODE

Available at: [g.manual source code](https://github.com/OSGeo/grass/tree/main/scripts/g.manual)
([history](https://github.com/OSGeo/grass/commits/main/scripts/g.manual))  
Latest change: Thursday Feb 13 15:25:35 2025 in commit [442bd61](https://github.com/OSGeo/grass/commit/442bd618db79a224b30c3517f85e7502b7e1a374)
