---
name: i.ortho.elev
description: Select or modify the target elevation model.
keywords: [ imagery, orthorectify ]
---

# i.ortho.elev

## NAME

***i.ortho.elev*** - Select or modify the target elevation model.

### 
### SYNOPSIS

**i.ortho.elev**  
**i.ortho.elev --help**  
**i.ortho.elev** [**-p**]  **group**=*name*
 [**project**=*name*]
 [**mapset**=*name*]
 [**elevation**=*name*]
 [**math_expression**=*string*]
 [**units**=*string*]
 [**null_value**=*string*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-p**  
&nbsp;&nbsp;&nbsp;&nbsp;Print currently selected elevation map and exit  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**group**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of imagery group for ortho-rectification  
**project**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Project (location) name  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the target project (location)  
**mapset**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name of mapset (default: current search path)  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the target mapset  
**elevation**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name of elevation map to use for ortho-rectification  
**math_expression**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Math expression to convert to real elevation  
**units**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Unit of the elevation map  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *miles, feet, meters, kilometers, acres, hectares*  
**null_value**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;No data value

## DESCRIPTION

*i.ortho.elev* is used to select or modify the target elevation model
for orthorectification of imagery. This elevation model is essential for
both the computation of photo-to-target parameters and for the actual
orthorectification of imagery group files. The elevation model selected
should cover the entire area of the image group to be orthorectified.
Optionally, scaled elevation data can be converted to real elevation
values specifying a mathematical expression.

## SEE ALSO

*[i.ortho.photo](i.ortho.photo.md)  
[i.ortho.camera](i.ortho.camera.md)  
[g.gui.photo2image](g.gui.photo2image.md)  
[g.gui.image2target](g.gui.image2target.md)  
[i.ortho.init](i.ortho.init.md)  
[i.rectify](i.rectify.md)*

## AUTHORS

Mike Baba, DBA Systems, Inc.  
Bugfixes and enhancements for GRASS GIS 7 by Markus Metz

## SOURCE CODE

Available at: [i.ortho.elev source code](https://github.com/OSGeo/grass/tree/main/imagery/i.ortho.photo/i.ortho.elev)
([history](https://github.com/OSGeo/grass/commits/main/imagery/i.ortho.photo/i.ortho.elev))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
