---
name: i.rgb.his
description: Transforms raster maps from RGB (Red-Green-Blue) color space to HIS (Hue-Intensity-Saturation) color space.
keywords: [ imagery, color transformation, RGB, HIS, IHS ]
---

# i.rgb.his

## NAME

***i.rgb.his*** - Transforms raster maps from RGB (Red-Green-Blue) color space to HIS (Hue-Intensity-Saturation) color space.

### 
### SYNOPSIS

**i.rgb.his**  
**i.rgb.his --help**  
**i.rgb.his**  **red**=*name*
 **green**=*name*
 **blue**=*name*
 **hue**=*name*
 **intensity**=*name*
 **saturation**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**red**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map (red)  
**green**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map (green)  
**blue**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map (blue)  
**hue**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map (hue)  
**intensity**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map (intensity)  
**saturation**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map (saturation)

## DESCRIPTION

*i.rgb.his* is an image processing program that processes three input
raster map layers as red, green, and blue components and produces three
output raster map layers representing the hue, intensity, and saturation
of the data. The output raster map layers are created by a standard
red-green-blue (RGB) to hue-intensity-saturation (HIS) color
transformation. Each output raster map layer is given a linear gray
scale color table. The current geographic region definition and mask
settings are respected.

## SEE ALSO

*[i.his.rgb](i.his.rgb.md)*

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University,  
with acknowledgements to Ali Vali, Space Research Center, for the core
routine.

## SOURCE CODE

Available at: [i.rgb.his source code](https://github.com/OSGeo/grass/tree/main/imagery/i.rgb.his)
([history](https://github.com/OSGeo/grass/commits/main/imagery/i.rgb.his))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
