---
name: i.target
description: Targets an imagery group to a GRASS location and mapset.
keywords: [ imagery, map management ]
---

# i.target

## NAME

***i.target*** - Targets an imagery group to a GRASS location and mapset.

### 
### SYNOPSIS

**i.target**  
**i.target --help**  
**i.target** [**-c**]  **group**=*name*
 [**location**=*string*]
 [**mapset**=*string*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-c**  
&nbsp;&nbsp;&nbsp;&nbsp;Set current location and mapset as target for imagery group  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**group**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input imagery group  
**location**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Name of imagery target location  
**mapset**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Name of target mapset

## DESCRIPTION

*i.target* targets an [imagery group](i.group.md) to a GRASS data base
project name and mapset. A project name and mapset are required for the
*[i.rectify](i.rectify.md)* imagery module, into which to write the
rectified map just prior to completion of the program; *i.target*
enables the user to specify this project. *i.target* must be run before
*[g.gui.gcp](g.gui.gcp.md)* and *[i.rectify](i.rectify.md)*.

## NOTES

The module's first option asks for the name of the [imagery
group](i.group.md) that needs a target. The imagery group must be
present in the user's current mapset. An [imagery group](i.group.md) may
be targeted to any GRASS project.

If a group name is given without setting options, the currently targeted
group will be displayed.

## SEE ALSO

The GRASS 4 *[Image Processing
manual](https://grass.osgeo.org/gdp/imagery/grass4_image_processing.pdf)*

*[g.gui.gcp](g.gui.gcp.md), [i.group](i.group.md),
[i.rectify](i.rectify.md)*  
*[Manage Ground Control Points](wxGUI.gcp.md)*

## AUTHORS

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Parser support: Bob Covill

## SOURCE CODE

Available at: [i.target source code](https://github.com/OSGeo/grass/tree/main/imagery/i.target)
([history](https://github.com/OSGeo/grass/commits/main/imagery/i.target))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
