---
name: r.in.gridatb
description: Imports GRIDATB.FOR map file (TOPMODEL) into a GRASS raster map.
keywords: [ raster, import ]
---

# r.in.gridatb

## NAME

***r.in.gridatb*** - Imports GRIDATB.FOR map file (TOPMODEL) into a GRASS raster map.

### 
### SYNOPSIS

**r.in.gridatb**  
**r.in.gridatb --help**  
**r.in.gridatb**  **input**=*name*
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;GRIDATB i/o map file  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map

## DESCRIPTION

*r.in.gridatb* imports GRIDATB.FOR map file (TOPMODEL) into GRASS raster
map.

## SEE ALSO

*[r.topmodel](r.topmodel.md), [r.out.gridatb](r.out.gridatb.md)*

## AUTHOR

Huidae Cho based on code from Keith Beven

## SOURCE CODE

Available at: [r.in.gridatb source code](https://github.com/OSGeo/grass/tree/main/raster/r.in.gridatb)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.in.gridatb))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
