---
name: r.in.png
description: Imports non-georeferenced PNG format image.
keywords: [ raster, import, PNG ]
---

# r.in.png

## NAME

***r.in.png*** - Imports non-georeferenced PNG format image.

### 
### SYNOPSIS

**r.in.png**  
**r.in.png --help**  
**r.in.png** [**-fh**]  **input**=*name*
 **output**=*name*
 [**title**=*string*]
 [**gamma**=*float*]
 [**alpha**=*float*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-f**  
&nbsp;&nbsp;&nbsp;&nbsp;Create floating-point map (0.0 - 1.0)  
**-h**  
&nbsp;&nbsp;&nbsp;&nbsp;Output image file header only and exit  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input file  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map  
**title**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Title for created raster map  
**gamma**=*float*  
&nbsp;&nbsp;&nbsp;&nbsp;Display gamma  
**alpha**=*float*  
&nbsp;&nbsp;&nbsp;&nbsp;Alpha threshold

## DESCRIPTION

*r.in.png* imports a non-georeferenced Portable Network Graphics (PNG)
image as a GRASS raster map. Georeferencing .wld files are not
supported, for that *r.import* can be used.

## NOTES

In order to assign georeferencing after import use *r.region*.

## SEE ALSO

*[r.import](r.import.md), [r.in.gdal](r.in.gdal.md),
[r.out.png](r.out.png.md), [r.region](r.region.md)*

## AUTHORS

Michael Shapiro  
Alex Shevlakov  
Glynn Clements

## SOURCE CODE

Available at: [r.in.png source code](https://github.com/OSGeo/grass/tree/main/raster/r.in.png)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.in.png))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
