---
name: r.latlong
description: Creates a latitude/longitude raster map.
keywords: [ raster, latitude, longitude, projection ]
---

# r.latlong

## NAME

***r.latlong*** - Creates a latitude/longitude raster map.

### 
### SYNOPSIS

**r.latlong**  
**r.latlong --help**  
**r.latlong** [**-l**]  **input**=*name*
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-l**  
&nbsp;&nbsp;&nbsp;&nbsp;Longitude output  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output latitude or longitude raster map

## DESCRIPTION

*r.latlong* creates a latitude (degree decimal) map, or longitude if the
-l flag is used, from any map in any projection using PROJ library. This
is an input to *r.sun* and *i.evapo.potrad*.

## NOTES

The PROJ [website](https://proj.org).

## TODO

Datum transform is not implemented, the same datum is taken as output.

## EXAMPLE

```sh
g.region raster=elevation -p
r.latlong input=elevation output=latitude
```

## SEE ALSO

*[r.sun](r.sun.md), [r.sunhours](r.sunhours.md)*

## AUTHOR

Yann Chemin, International Rice Research Institute, The Philippines

## SOURCE CODE

Available at: [r.latlong source code](https://github.com/OSGeo/grass/tree/main/raster/r.latlong)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.latlong))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
