---
name: r.out.gridatb
description: Exports GRASS raster map to GRIDATB.FOR map file (TOPMODEL).
keywords: [ raster, export, output ]
---

# r.out.gridatb

## NAME

***r.out.gridatb*** - Exports GRASS raster map to GRIDATB.FOR map file (TOPMODEL).

### 
### SYNOPSIS

**r.out.gridatb**  
**r.out.gridatb --help**  
**r.out.gridatb**  **input**=*name*
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output file

## DESCRIPTION

*r.out.gridatb* exports a GRASS raster map to GRIDATB.FOR map file
(TOPMODEL)

## SEE ALSO

*[r.topmodel](r.topmodel.md), [r.in.gridatb](r.in.gridatb.md)*

## AUTHOR

Huidae Cho based on code from Keith Beven

## SOURCE CODE

Available at: [r.out.gridatb source code](https://github.com/OSGeo/grass/tree/main/raster/r.out.gridatb)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.out.gridatb))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
