---
name: r.out.ppm3
description: Converts 3 GRASS raster layers (R,G,B) to a PPM image file.
keywords: [ raster, export, output ]
---

# r.out.ppm3

## NAME

***r.out.ppm3*** - Converts 3 GRASS raster layers (R,G,B) to a PPM image file.

### 
### SYNOPSIS

**r.out.ppm3**  
**r.out.ppm3 --help**  
**r.out.ppm3** [**-c**]  **red**=*string*
 **green**=*string*
 **blue**=*string*
 **output**=*string*
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-c**  
&nbsp;&nbsp;&nbsp;&nbsp;Add comments to describe the region  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**red**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of raster map to be used for &lt;red&gt;  
**green**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of raster map to be used for &lt;green&gt;  
**blue**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of raster map to be used for &lt;blue&gt;  
**output**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for new PPM file. (use '-' for stdout)

## DESCRIPTION

**r.out.ppm3** converts 3 GRASS raster layers (R,G,B) to a PPM image
file, using the current region.

This program converts a GRASS raster map to a PPM image file using the
the current region settings.

To get the full area and resolution of the raster map, run:

```sh
g.region raster=[mapname]
```

before running *r.out.ppm3*.

## NOTES

One pixel is written for each cell value, so if ew_res and ns_res
differ, the aspect ratio of the resulting image will be off.

## SEE ALSO

*[r.out.ppm](r.out.ppm.md),* *[r.in.gdal](r.in.gdal.md),*
*[d.rgb](d.rgb.md)*

## AUTHOR

Glynn Clements  
Based upon *r.out.ppm* and *d.rgb*.

## SOURCE CODE

Available at: [r.out.ppm3 source code](https://github.com/OSGeo/grass/tree/main/raster/r.out.ppm3)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.out.ppm3))  
Latest change: Friday Mar 07 07:39:48 2025 in commit [e1e37d8](https://github.com/OSGeo/grass/commit/e1e37d87e78212dfcf4c97aaf32c54042adbd2b0)
