---
name: r.usler
description: Computes USLE R factor, Rainfall erosivity index.
keywords: [ raster, hydrology, rainfall, soil, erosion ]
---

# r.usler

## NAME

***r.usler*** - Computes USLE R factor, Rainfall erosivity index.

### 
### SYNOPSIS

**r.usler**  
**r.usler --help**  
**r.usler**  **input**=*name*
 **output**=*name*
 **method**=*string*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of annual precipitation raster map [mm/year]  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output USLE R raster map [MJ.mm/ha.hr.year]  
**method**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of USLE R equation  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *roose,  morgan,  foster,  elswaify*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *morgan*  
&nbsp;&nbsp;&nbsp;&nbsp;**roose**: Roosle (1975)  
&nbsp;&nbsp;&nbsp;&nbsp;**morgan**: Morgan (1974)  
&nbsp;&nbsp;&nbsp;&nbsp;**foster**: Foster (1981)  
&nbsp;&nbsp;&nbsp;&nbsp;**elswaify**: El-Swaify (1985)

## DESCRIPTION

*r.usler* calculates USLE R factor for Rainfall erosivity. It enables
several empirical equations: Roosle (1975), Morgan (1974), Foster(1981)
and El-Swaify (1985).

## NOTES

*r.watershed* provides for USLE L, S, LS factors.

## EXAMPLE

TBD.

## SEE ALSO

*[r.uslek](r.uslek.md), [r.watershed](r.watershed.md)*

## AUTHORS

Natialia Medvedeva, SIC-ISDC, Ashgabat, Turkmenistan  
Yann Chemin, SIC-ISDC, Ashgabat, Turkmenistan

## SOURCE CODE

Available at: [r.usler source code](https://github.com/OSGeo/grass/tree/main/raster/r.usler)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.usler))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
