---
name: r3.colors.out
description: Exports the color table associated with a 3D raster map.
keywords: [ raster3d, color table, export ]
---

# r3.colors.out

## NAME

***r3.colors.out*** - Exports the color table associated with a 3D raster map.

### 
### SYNOPSIS

**r3.colors.out**  
**r3.colors.out --help**  
**r3.colors.out** [**-p**]  **map**=*name*
 [**rules**=*name*]
 **format**=*name*
 **color_format**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-p**  
&nbsp;&nbsp;&nbsp;&nbsp;Output values as percentages  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of 3D raster map  
**rules**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Path to output rules file  
&nbsp;&nbsp;&nbsp;&nbsp;If not given write to standard output  
**format**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Output format  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *plain, json*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *plain*  
&nbsp;&nbsp;&nbsp;&nbsp;**plain**: Plain text output  
&nbsp;&nbsp;&nbsp;&nbsp;**json**: JSON (JavaScript Object Notation)  
**color_format**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Color format  
&nbsp;&nbsp;&nbsp;&nbsp;Color format for output values.  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *rgb, hex, hsv, triplet*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *hex*  
&nbsp;&nbsp;&nbsp;&nbsp;**rgb**: output color in RGB format  
&nbsp;&nbsp;&nbsp;&nbsp;**hex**: output color in HEX format  
&nbsp;&nbsp;&nbsp;&nbsp;**hsv**: output color in HSV format (experimental)  
&nbsp;&nbsp;&nbsp;&nbsp;**triplet**: output color in colon-separated RGB format

## DESCRIPTION

*r3.colors.out* allows the user to export the color table for a 3D raste
map to a file which is suitable as input to *[r3.colors](r3.colors.md)*.

## EXAMPLES

```sh
r3.colors.out map=volume_1 rules=rules.txt
r3.colors map=volume_2 rules=rules.txt
r3.colors.out map=volume_1 rules=rules.json format=json
```

## SEE ALSO

*[r.colors](r.colors.md), [r.colors.out](r.colors.out.md),
[r3.colors](r3.colors.md) [v.colors](v.colors.md),
[v.colors.out](v.colors.out.md)*

## AUTHOR

Glynn Clements

## SOURCE CODE

Available at: [r3.colors.out source code](https://github.com/OSGeo/grass/tree/main/raster/r.colors.out)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.colors.out))  
Latest change: Saturday Feb 22 12:35:21 2025 in commit [c12df29](https://github.com/OSGeo/grass/commit/c12df298352da495dc6b4983ffc3ca160906490b)
