---
name: r3.in.v5d
description: Import 3-dimensional Vis5D files.
keywords: [ raster3d, import, voxel ]
---

# r3.in.v5d

## NAME

***r3.in.v5d*** - Import 3-dimensional Vis5D files.

### 
### SYNOPSIS

**r3.in.v5d**  
**r3.in.v5d --help**  
**r3.in.v5d**  **input**=*name*
 **output**=*name*
 [**null_value**=*string*]
 [**type**=*string*]
 [**precision**=*string*]
 [**compression**=*string*]
 [**tiledimension**=*XxYxZ*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of V5D raster file to be imported  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output 3D raster map  
**null_value**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;String representing NULL value  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *none*  
**type**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Data type used in the output raster3d map  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *default, double, float*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *default*  
**precision**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Number of digits used as mantissa in the internal map storage, 0 -23 for float, 0 - 52 for double, max or default  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *default*  
**compression**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;The compression method used in the output raster3d map  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *default, zip, none*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *default*  
**tiledimension**=*XxYxZ*  
&nbsp;&nbsp;&nbsp;&nbsp;The dimensions of the tiles used in the output raster3d map (XxYxZ or default: 16x16x8)  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *default*

## DESCRIPTION

*r3.in.v5d* imports 3-dimensional files (i.e. the V5D file with one
variable and one time step). Otherwise, only first variable and timestep
from 4/5D V5D file will be imported.

[Vis5D](https://vis5d.sourceforge.net/) is a system for interactive
visualization of large 5D gridded data sets such as those produced by
numerical weather models. The user can make isosurfaces, contour line
slices, colored slices, volume renderings, etc. of data in a 3D raster
map, then rotate and animate the images in real time. There's also a
feature for wind trajectory tracing, a way to make text annotations for
publications, support for interactive data analysis, etc.

## SEE ALSO

*[r3.out.v5d](r3.out.v5d.md)*

## AUTHOR

Jaro Hofierka, GeoModel s.r.o., Slovakia

## SOURCE CODE

Available at: [r3.in.v5d source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.in.v5d)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.in.v5d))  
Latest change: Friday Mar 07 07:39:48 2025 in commit [e1e37d8](https://github.com/OSGeo/grass/commit/e1e37d87e78212dfcf4c97aaf32c54042adbd2b0)
