---
name: r3.info
description: Outputs basic information about a user-specified 3D raster map layer.
keywords: [ raster3d, metadata, voxel, extent ]
---

# r3.info

## NAME

***r3.info*** - Outputs basic information about a user-specified 3D raster map layer.

### 
### SYNOPSIS

**r3.info**  
**r3.info --help**  
**r3.info** [**-grh**]  **map**=*name*
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-g**  
&nbsp;&nbsp;&nbsp;&nbsp;Print raster3d information in shell style  
**-r**  
&nbsp;&nbsp;&nbsp;&nbsp;Print range in shell style only  
**-h**  
&nbsp;&nbsp;&nbsp;&nbsp;Print raster history instead of info  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of 3D raster map

## DESCRIPTION

*r3.info* reports metadata and range of 3D voxel maps.

## SEE ALSO

*[r.info](r.info.md)*

## AUTHORS

Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos
Mitas, Jaro Hofierka

## SOURCE CODE

Available at: [r3.info source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.info)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.info))  
Latest change: Friday Mar 07 07:39:48 2025 in commit [e1e37d8](https://github.com/OSGeo/grass/commit/e1e37d87e78212dfcf4c97aaf32c54042adbd2b0)
