---
name: r3.mask
description: Establishes the current working 3D raster mask.
keywords: [ raster3d, mask, null data, no-data, voxel ]
---

# r3.mask

## NAME

***r3.mask*** - Establishes the current working 3D raster mask.

### 
### SYNOPSIS

**r3.mask**  
**r3.mask --help**  
**r3.mask**  **map**=*string*
 [**maskvalues**=*val[-val]* [,*val[-val]*,...]]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;3D raster map with reference values  
**maskvalues**=*val[-val]* [,*val[-val]*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;List of cell values to be masked out

## DESCRIPTION

*r3.mask* facilitates the creation of a raster3d "MASK" map to control
raster3d operations. The raster3d *map* is used as the reference map.
Cells in the mask are marked as "mask out" if the corresponding cell in
*map* contains a value in the range specified with *maskvalues*.

## NOTES

Before a new 3D-mask can be created the existing mask has to be removed
with *g.remove*.

## SEE ALSO

*[g.remove](g.remove.md)*

## AUTHORS

Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos
Mitas, Jaro Hofierka

## SOURCE CODE

Available at: [r3.mask source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.mask)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.mask))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
