---
name: r3.null
description: Explicitly create the 3D NULL-value bitmap file.
keywords: [ raster3d, map management, null data, no-data, voxel ]
---

# r3.null

## NAME

***r3.null*** - Explicitly create the 3D NULL-value bitmap file.

### 
### SYNOPSIS

**r3.null**  
**r3.null --help**  
**r3.null**  **map**=*string*
 [**setnull**=*val[-val]* [,*val[-val]*,...]]
 [**null**=*float*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;3D raster map for which to modify null values  
**setnull**=*val[-val]* [,*val[-val]*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;List of cell values to be set to NULL  
**null**=*float*  
&nbsp;&nbsp;&nbsp;&nbsp;The value to replace the null value by

## DESCRIPTION

*r3.null* modifies the NULL values of a 3D raster map.

## SEE ALSO

*[r.null](r.null.md)*

## AUTHORS

Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos
Mitas, Jaro Hofierka

## SOURCE CODE

Available at: [r3.null source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.null)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.null))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
