---
name: r3.retile
description: Retiles an existing 3D raster map with user defined x, y and z tile size.
keywords: [ raster3d, tiling, voxel ]
---

# r3.retile

## NAME

***r3.retile*** - Retiles an existing 3D raster map with user defined x, y and z tile size.

### 
### SYNOPSIS

**r3.retile**  
**r3.retile --help**  
**r3.retile** [**-c**]  **input**=*name*
 **output**=*name*
 [**tiledimension**=*XxYxZ*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-c**  
&nbsp;&nbsp;&nbsp;&nbsp;Disable tile caching  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input 3D raster map  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the retiled 3D raster map  
**tiledimension**=*XxYxZ*  
&nbsp;&nbsp;&nbsp;&nbsp;The dimensions of the tiles used in the output raster3d map (XxYxZ or default: 16x16x8)  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *default*

## DESCRIPTION

*r3.retile* writes a copy of an existing 3D raster map with a user
defined number of tiles in x, y and z direction. The precision and the
type of the original 3D raster map are used for the new retiled 3D
raster map.

## SEE ALSO

*[r3.cross.rast](r3.info.md), [r3.out.ascii](r3.out.ascii.md),
[g.region](g.region.md), [r.tile](r3.retile.md)*

## AUTHOR

Sören Gebbert

## SOURCE CODE

Available at: [r3.retile source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.retile)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.retile))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
