---
name: r3.support
description: Allows creation and/or modification of 3D raster map layer support files.
keywords: [ raster3d, metadata, voxel ]
---

# r3.support

## NAME

***r3.support*** - Allows creation and/or modification of 3D raster map layer support files.

### 
### SYNOPSIS

**r3.support**  
**r3.support --help**  
**r3.support** [**-s**]  **map**=*name*
 [**title**=*phrase*]
 [**history**=*phrase*]
 [**unit**=*string*]
 [**vunit**=*string*]
 [**source1**=*phrase*]
 [**source2**=*phrase*]
 [**description**=*phrase*]
 [**raster**=*string*]
 [**loadhistory**=*name*]
 [**savehistory**=*name*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Update range  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of 3D raster map  
**title**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to use for map title  
**history**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to append to the next line of the map's metadata file  
**unit**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;The map data unit  
**vunit**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;The vertical unit of the map  
**source1**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to use for data source, line 1  
**source2**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to use for data source, line 2  
**description**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to use for data description or keyword(s)  
**raster**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Raster map from which to copy category table  
**loadhistory**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Text file from which to load history  
**savehistory**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Text file in which to save history

## DESCRIPTION

**r3.support** allows the user to create and/or edit raster3d map
support information. Editing of raster3d map units, history, description
and title is supported.

## NOTES

Freeform metadata information is stored in a "`hist`" file which may be
appended to by using the **history** option. Currently this is limited
to text with a maximum line length of 78 characters. Any input larger
than this will be wrapped to the next line. All other metadata strings
available as standard options are limited to 79 characters.

## SEE ALSO

*[r.info](r3.info.md), [r.timestamp](r3.timestamp.md)*

## AUTHORS

Soeren Gebbert, vTI/AK, soerengebbert gmooglemail.com  
Based on r.support written by Micharl Shapiro, CERL and others

## SOURCE CODE

Available at: [r3.support source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.support)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.support))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
