---
name: t.rast3d.algebra.py
description: Apply temporal and spatial operations on space time 3D raster datasets using temporal 3D raster algebra.
keywords: [ temporal, algebra, raster3d, voxel, time ]
---

# t.rast3d.algebra.py

## NAME

***t.rast3d.algebra.py*** - Apply temporal and spatial operations on space time 3D raster datasets using temporal 3D raster algebra.

### 
### SYNOPSIS

**t.rast3d.algebra.py**  
**t.rast3d.algebra.py --help**  
**t.rast3d.algebra.py** [**-sng**]  **expression**=*string*
 **basename**=*string*
 [**nprocs**=*integer*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Check the spatial topology of temporally related maps and process only spatially related maps  
**-n**  
&nbsp;&nbsp;&nbsp;&nbsp;Register Null maps  
**-g**  
&nbsp;&nbsp;&nbsp;&nbsp;Use granularity sampling instead of the temporal topology approach  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**expression**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Algebraic expression for temporal and spatial analysis of space time 3D raster datasets  
**basename**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Basename of the new generated output maps  
&nbsp;&nbsp;&nbsp;&nbsp;A numerical suffix separated by an underscore will be attached to create a unique identifier  
**nprocs**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Number of r3.mapcalc processes to run in parallel  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*

## DESCRIPTION

*t.rast3d.algebra* performs temporal and spatial map algebra operations
on space time 3D raster datasets (STR3DS) by using the temporal 3D
raster algebra.

### NOTES

The module expects an **expression** as input parameter in the following
form:

`"result = expression"`

The statement structure is exact the same as of *t.rast.algebra*, see
[t.rast.algebra](t.rast.algebra.md) but allows four-dimensional
indexing.

## REFERENCES

[PLY(Python-Lex-Yacc)](https://www.dabeaz.com/ply/)

## SEE ALSO

*[t.rast.algebra](t.rast.algebra.md),
[t.rast3d.mapcalc](t.rast3d.mapcalc.md), [r.mapcalc](r.mapcalc.md),
[t.vect.algebra](t.vect.algebra.md), [t.select](t.select.md)*

## AUTHORS

Thomas Leppelt, Sören Gebbert, Thünen Institute of Climate-Smart
Agriculture

## SOURCE CODE

Available at: [t.rast3d.algebra source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rast3d.algebra)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rast3d.algebra))  
Latest change: Saturday Mar 01 11:59:08 2025 in commit [d310a3c](https://github.com/OSGeo/grass/commit/d310a3c28e84eff31e2d2c9f8c6218ba71dd40b8)
