---
name: t.rast3d.extract.py
description: Extracts a subset of a space time 3D raster dataset.
keywords: [ temporal, extract, raster3d, voxel, time ]
---

# t.rast3d.extract.py

## NAME

***t.rast3d.extract.py*** - Extracts a subset of a space time 3D raster dataset.

### 
### SYNOPSIS

**t.rast3d.extract.py**  
**t.rast3d.extract.py --help**  
**t.rast3d.extract.py** [**-n**]  **input**=*name*
 [**where**=*sql_query*]
 [**expression**=*string*]
 **output**=*name*
 [**basename**=*string*]
 [**suffix**=*string*]
 [**nprocs**=*integer*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-n**  
&nbsp;&nbsp;&nbsp;&nbsp;Register Null maps  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time raster3d dataset  
**where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework  
&nbsp;&nbsp;&nbsp;&nbsp;Example: start_time &gt; '2001-01-01 12:30:00'  
**expression**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;The r3.mapcalc expression assigned to all extracted 3D raster maps  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the output space time raster3d dataset  
**basename**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Basename of the new generated 3D raster maps  
**suffix**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Suffix to add at basename: set 'gran' for granularity, 'time' for the full time format, 'num' for numerical suffix with a specific number of digits (default %05)  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *gran*  
**nprocs**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Number of r3.mapcalc processes to run in parallel  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*

## DESCRIPTION

*t.rast3d.extract* is used to extract a subset of a space time 3D raster
dataset and to store that subset in a different space time 3D raster
dataset. It has exactly the same functionality as
[t.rast.extract](t.rast.extract.md). The only difference is the that
this module works on STR3DS and 3D raster maps.

Please refer to [t.rast.extract](t.rast.extract.md) for documentation
and examples.

## SEE ALSO

*[t.rast.extract](t.rast.extract.md), [t.create](t.create.md),
[t.info](t.info.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: [t.rast3d.extract source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rast3d.extract)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rast3d.extract))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
