---
name: t.rast3d.list.py
description: Lists registered maps of a space time raster3d dataset.
keywords: [ temporal, map management, list, raster3d, voxel, time ]
---

# t.rast3d.list.py

## NAME

***t.rast3d.list.py*** - Lists registered maps of a space time raster3d dataset.

### 
### SYNOPSIS

**t.rast3d.list.py**  
**t.rast3d.list.py --help**  
**t.rast3d.list.py** [**-s**]  **input**=*name*
 [**order**=*string* [,*string*,...]]
 [**columns**=*string* [,*string*,...]]
 [**where**=*sql_query*]
 [**method**=*string*]
 [**separator**=*character*]
 [**output**=*name*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Suppress printing of column names  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time raster3d dataset  
**order**=*string* [,*string*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;Order the space time dataset by category  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *id, name, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, nsres, tbres, ewres, cols, rows, depths, number_of_cells, min, max*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *start_time*  
**columns**=*string* [,*string*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;Columns to be printed to stdout  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *id, name, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, nsres, tbres, ewres, cols, rows, depths, number_of_cells, min, max*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *name,mapset,start_time,end_time*  
**where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework  
&nbsp;&nbsp;&nbsp;&nbsp;Example: start_time &gt; '2001-01-01 12:30:00'  
**method**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Method used for data listing  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *cols, comma, delta, deltagaps, gran*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *cols*  
**separator**=*character*  
&nbsp;&nbsp;&nbsp;&nbsp;Field separator character between the output columns  
&nbsp;&nbsp;&nbsp;&nbsp;Special characters: pipe, comma, space, tab, newline  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *pipe*  
**output**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output file

## DESCRIPTION

*t.rast3d.list* provides the same functionality as
[t.rast.list](t.rast.list.md), the only difference is the 3D raster map
layer metadata. Please refer to the manual page of
[t.rast.list](t.rast.list.md).

## SEE ALSO

*[t.rast.list](t.rast.list.md), [g.list](g.list.md),
[t.create](t.create.md), [t.info](t.info.md), [t.list](t.list.md),
[t.vect.list](t.vect.list.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: [t.rast3d.list source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rast3d.list)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rast3d.list))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
