---
name: t.rast3d.mapcalc.py
description: Performs r3.mapcalc expressions on maps of sampled space time 3D raster datasets.
keywords: [ temporal, algebra, raster3d, voxel, time ]
---

# t.rast3d.mapcalc.py

## NAME

***t.rast3d.mapcalc.py*** - Performs r3.mapcalc expressions on maps of sampled space time 3D raster datasets.

### 
### SYNOPSIS

**t.rast3d.mapcalc.py**  
**t.rast3d.mapcalc.py --help**  
**t.rast3d.mapcalc.py** [**-ns**]  **inputs**=*name* [,*name*,...]
 **expression**=*string*
 [**method**=*name* [,*name*,...]]
 **output**=*name*
 **basename**=*string*
 [**nprocs**=*integer*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-n**  
&nbsp;&nbsp;&nbsp;&nbsp;Register Null maps  
**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Check the spatial topology of temporally related maps and process only spatially related maps  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**inputs**=*name* [,*name*,...] **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time raster3d datasets  
**expression**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;r3.mapcalc expression applied to each time step of the sampled data  
**method**=*name* [,*name*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;The method to be used for sampling the input dataset  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *start, during, overlap, contain, equal, follows, precedes*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *during,overlap,contain,equal*  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the output space time raster3d dataset  
**basename**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Basename of the new generated output maps  
&nbsp;&nbsp;&nbsp;&nbsp;A numerical suffix separated by an underscore will be attached to create a unique identifier  
**nprocs**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Number of r3.mapcalc processes to run in parallel  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*

## DESCRIPTION

*t.rast3d.mapcalc* provides exact the same functionality as
*t.rast.mapcalc*, but for space time 3D raster datasets. Please refer to
[t.rast.mapcalc](t.rast.mapcalc.md) for documentation.

It is a simple wrapper for [r3.mapcalc](r3.mapcalc.md) enhanced with
temporal functions.

## SEE ALSO

*[t.rast.mapcalc](t.rast.mapcalc.md),
[t.rast3d.algebra](t.rast3d.algebra.md), [r3.mapcalc](r3.mapcalc.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: [t.rast3d.mapcalc source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rast3d.mapcalc)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rast3d.mapcalc))  
Latest change: Wednesday Apr 02 17:48:37 2025 in commit [571253a](https://github.com/OSGeo/grass/commit/571253a5e75ae2ff6ba7adf14fbc859ba7acd92c)
