---
name: t.rast3d.univar.py
description: Calculates univariate statistics from the non-null cells for each registered 3D raster map of a space time 3D raster dataset.
keywords: [ temporal, statistics, raster3d, voxel, time, parallel ]
---

# t.rast3d.univar.py

## NAME

***t.rast3d.univar.py*** - Calculates univariate statistics from the non-null cells for each registered 3D raster map of a space time 3D raster dataset.

### 
### SYNOPSIS

**t.rast3d.univar.py**  
**t.rast3d.univar.py --help**  
**t.rast3d.univar.py** [**-es**]  **input**=*name*
 [**zones**=*name*]
 [**nprocs**=*integer*]
 [**output**=*name*]
 [**where**=*sql_query*]
 [**separator**=*character*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-e**  
&nbsp;&nbsp;&nbsp;&nbsp;Calculate extended statistics  
**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Suppress printing of column names  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time raster3d dataset  
**zones**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Raster map with zones to compute statistics for  
&nbsp;&nbsp;&nbsp;&nbsp;Raster map with zones to compute statistics for (needs to be CELL)  
**nprocs**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Number of threads for parallel computing  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*  
**output**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output file  
**where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework  
&nbsp;&nbsp;&nbsp;&nbsp;Example: start_time &gt; '2001-01-01 12:30:00'  
**separator**=*character*  
&nbsp;&nbsp;&nbsp;&nbsp;Field separator character between the output columns  
&nbsp;&nbsp;&nbsp;&nbsp;Special characters: pipe, comma, space, tab, newline  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *pipe*

## DESCRIPTION

*t.rast3d.univar* provides the same functionality as
[t.rast.univar](t.rast.univar.md), the only difference is the 3D raster
map layer metadata. Please refer to the manual page of
[t.rast.univar](t.rast.univar.md) for documentation and examples.

## SEE ALSO

*[t.rast.univar](t.rast.univar.md), [t.create](t.create.md),
[t.info](t.info.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture  
Stefan Blumentrath (support for zones)

## SOURCE CODE

Available at: [t.rast3d.univar source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rast3d.univar)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rast3d.univar))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
