---
name: t.rename.py
description: Renames a space time dataset
keywords: [ temporal, map management, rename, time ]
---

# t.rename.py

## NAME

***t.rename.py*** - Renames a space time dataset

### 
### SYNOPSIS

**t.rename.py**  
**t.rename.py --help**  
**t.rename.py**  **input**=*name*
 **output**=*name*
 [**type**=*name*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time dataset  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the output space time dataset  
**type**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Type of the input space time dataset  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *strds, stvds, str3ds*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *strds*

## DESCRIPTION

The *t.rename* module renames space time datasets of different types
(STRDS, STVDS, STR3DS) and updates the space time dataset register
entries of the registered maps.

## NOTES

Renaming of space time datasets works only for SQLite based temporal
databases.

## EXAMPLE

A new vector space time dataset will be created, renamed and in the end
removed

```sh
# Create new and empty STVDS
t.create type=stvds output=toberenamed semantictype=mean \
  title="Example to rename" \
  description="This is an example just to show how rename"

t.rename input=toberenamed output=newname type=stvds

t.remove input=newname type=stvds
```

## SEE ALSO

*[t.create](t.create.md), [t.support](t.support.md),
[t.register](t.register.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: [t.rename source code](https://github.com/OSGeo/grass/tree/main/temporal/t.rename)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.rename))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
