---
name: t.topology.py
description: Lists temporal topology of a space time dataset.
keywords: [ temporal, topology, time ]
---

# t.topology.py

## NAME

***t.topology.py*** - Lists temporal topology of a space time dataset.

### 
### SYNOPSIS

**t.topology.py**  
**t.topology.py --help**  
**t.topology.py** [**-ms**]  **input**=*name*
 [**type**=*name*]
 [**where**=*sql_query*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-m**  
&nbsp;&nbsp;&nbsp;&nbsp;Print temporal topological relationships and exit  
**-s**  
&nbsp;&nbsp;&nbsp;&nbsp;Print spatio-temporal topological relationships and exit  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time dataset  
**type**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Type of the input space time dataset  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *strds, stvds, str3ds*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *strds*  
**where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework  
&nbsp;&nbsp;&nbsp;&nbsp;Example: start_time &gt; '2001-01-01 12:30:00'

## DESCRIPTION

The module *t.topology* lists temporal relations of the maps in a space
time dataset.

## EXAMPLE

In order to obtain information about space time dataset topology, run:

```sh
t.topology tempmean_monthly@climate_2009_2012
 +-------------------- Basic information -------------------------------------+
 | Id: ........................ tempmean_monthly@climate_2009_2012
 | Name: ...................... tempmean_monthly
 | Mapset: .................... climate_2009_2012
 | Creator: ................... lucadelu
 | Temporal type: ............. absolute
 | Creation time: ............. 2014-11-28 10:40:55.060096
 | Modification time:.......... 2014-11-28 16:08:42.166628
 | Semantic type:.............. mean
 +-------------------- Temporal topology -------------------------------------+
 | Is subset of dataset: ...... False
 | Temporal topology is: ...... valid
 | Number of intervals: ....... 48
 | Invalid time stamps: ....... 0
 | Number of points: .......... 0
 | Number of gaps: ............ 0
 | Granularity: ............... 1 month
 +-------------------- Topological relations ---------------------------------+
 | Overlaps: .................. 0
 | Overlapped: ................ 0
 | Finishes: .................. 0
 | Started: ................... 0
 | Follows: ................... 47
 | Contains: .................. 0
 | Equal:...................... 0
 | Finished: .................. 0
 | Precedes: .................. 47
 | Starts: .................... 0
 | During: .................... 0
 +----------------------------------------------------------------------------+
```

## SEE ALSO

*[t.create](t.create.md), [t.info](t.info.md)*

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: [t.topology source code](https://github.com/OSGeo/grass/tree/main/temporal/t.topology)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.topology))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
