---
name: t.upgrade.py
description: Upgrades the version of the temporal database.
keywords: [ temporal, metadata, time ]
---

# t.upgrade.py

## NAME

***t.upgrade.py*** - Upgrades the version of the temporal database.

### 
### SYNOPSIS

**t.upgrade.py**  
**t.upgrade.py --help**  
**t.upgrade.py**  [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

The *t.upgrade* module upgrades the temporal database in the current
mapset from version 2 (default in GRASS 7) to 3 (default in GRASS 8).
The version 3 introduces a semantic label support, see
*[i.band.library](i.band.library.md)* for details.

## EXAMPLE

```sh
t.upgrade
```

## SEE ALSO

*[t.info](t.info.md)*

## AUTHORS

Martin Landa and Markus Neteler

## SOURCE CODE

Available at: [t.upgrade source code](https://github.com/OSGeo/grass/tree/main/temporal/t.upgrade)
([history](https://github.com/OSGeo/grass/commits/main/temporal/t.upgrade))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
