---
name: v.colors.out
description: Exports the color table associated with a vector map.
keywords: [ vector, color table, export ]
---

# v.colors.out

## NAME

***v.colors.out*** - Exports the color table associated with a vector map.

### 
### SYNOPSIS

**v.colors.out**  
**v.colors.out --help**  
**v.colors.out** [**-p**]  **map**=*name*
 [**layer**=*string*]
 [**rules**=*name*]
 [**column**=*name*]
 **format**=*name*
 **color_format**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-p**  
&nbsp;&nbsp;&nbsp;&nbsp;Output values as percentages  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**layer**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Layer number or name  
&nbsp;&nbsp;&nbsp;&nbsp;Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*  
**rules**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Path to output rules file  
&nbsp;&nbsp;&nbsp;&nbsp;If not given write to standard output  
**column**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name of attribute (numeric) column to which refer color rules  
&nbsp;&nbsp;&nbsp;&nbsp;If not given, color rules refer to categories  
**format**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Output format  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *plain, json*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *plain*  
&nbsp;&nbsp;&nbsp;&nbsp;**plain**: Plain text output  
&nbsp;&nbsp;&nbsp;&nbsp;**json**: JSON (JavaScript Object Notation)  
**color_format**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Color format  
&nbsp;&nbsp;&nbsp;&nbsp;Color format for output values.  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *rgb, hex, hsv, triplet*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *hex*  
&nbsp;&nbsp;&nbsp;&nbsp;**rgb**: output color in RGB format  
&nbsp;&nbsp;&nbsp;&nbsp;**hex**: output color in HEX format  
&nbsp;&nbsp;&nbsp;&nbsp;**hsv**: output color in HSV format (experimental)  
&nbsp;&nbsp;&nbsp;&nbsp;**triplet**: output color in colon-separated RGB format

## DESCRIPTION

*v.colors.out* allows the user to export the color table for a vector
map to a file which is suitable as input to *[v.colors](v.colors.md)*.

## EXAMPLES

```sh
v.colors.out map=soils_general rules=rules.txt
v.colors map=soils_wake rules=rules.txt
```

## SEE ALSO

*[v.colors](v.colors.md), [r.colors](r.colors.md),
[r3.colors](r3.colors.md), [r.colors.out](r.colors.out.md),
[r3.colors.out](r3.colors.out.md)*

## AUTHOR

Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: [v.colors.out source code](https://github.com/OSGeo/grass/tree/main/vector/v.colors.out)
([history](https://github.com/OSGeo/grass/commits/main/vector/v.colors.out))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
