---
name: v.out.dxf
description: Exports vector map to DXF file format.
keywords: [ vector, export, output, DXF ]
---

# v.out.dxf

## NAME

***v.out.dxf*** - Exports vector map to DXF file format.

### 
### SYNOPSIS

**v.out.dxf**  
**v.out.dxf --help**  
**v.out.dxf**  **input**=*name*
 [**layer**=*string*]
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**layer**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Layer number or name ('-1' for all layers)  
&nbsp;&nbsp;&nbsp;&nbsp;A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *-1*  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for DXF output file

## DESCRIPTION

The GRASS program *v.out.dxf* conversion program generates an ASCII DXF
(AutoCAD) file from a GRASS vector. The output file is placed in the
user's current working directory unless the user specifies a full
pathname for the *output*.

## NOTES

DXF files output by AutoCAD have the suffix `.dxf`

## REFERENCES

[AutoCad DXF](https://en.wikipedia.org/wiki/AutoCAD_DXF) (from
Wikipedia, the free encyclopedia)

## SEE ALSO

*[v.in.dxf](v.in.dxf.md)*

*[Introduction to GRASS vector map processing](vectorintro.md)*

## AUTHORS

Charles Ehlschlaeger, U.S. Army Construction Engineering Research
Laboratory,  
wrote original *v.out.dxf* program in 4/89.

Update to GRASS 5.7 Radim Blazek, 10/2004

## SOURCE CODE

Available at: [v.out.dxf source code](https://github.com/OSGeo/grass/tree/main/vector/v.out.dxf)
([history](https://github.com/OSGeo/grass/commits/main/vector/v.out.dxf))  
Latest change: Saturday Mar 29 14:59:39 2025 in commit [0bfa813](https://github.com/OSGeo/grass/commit/0bfa813b5cbca759cc4dbf4f5057354ccb94c8bf)
