---
name: v.support
description: Updates vector map metadata.
keywords: [ vector, metadata ]
---

# v.support

## NAME

***v.support*** - Updates vector map metadata.

### 
### SYNOPSIS

**v.support**  
**v.support --help**  
**v.support** [**-rh**]  **map**=*name*
 [**organization**=*phrase*]
 [**date**=*datestring*]
 [**person**=*phrase*]
 [**map_name**=*phrase*]
 [**map_date**=*datestring*]
 [**scale**=*integer*]
 [**zone**=*integer*]
 [**threshold**=*float*]
 [**comment**=*phrase*]
 [**cmdhist**=*command*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-r**  
&nbsp;&nbsp;&nbsp;&nbsp;Replace comment instead of appending it  
**-h**  
&nbsp;&nbsp;&nbsp;&nbsp;Replace command line instead of appending it  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**organization**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Organization where vector map was created  
**date**=*datestring*  
&nbsp;&nbsp;&nbsp;&nbsp;Date of vector map digitization (e.g., "15 Mar 2007")  
**person**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Person who created vector map  
**map_name**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Vector map title  
**map_date**=*datestring*  
&nbsp;&nbsp;&nbsp;&nbsp;Date when the source map was originally produced  
**scale**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Vector map scale number (e.g., 24000)  
**zone**=*integer*  
&nbsp;&nbsp;&nbsp;&nbsp;Vector map projection zone  
**threshold**=*float*  
&nbsp;&nbsp;&nbsp;&nbsp;Vector map digitizing threshold number (e.g., 0.5)  
**comment**=*phrase*  
&nbsp;&nbsp;&nbsp;&nbsp;Text to append to the comment line of the map's metadata file  
**cmdhist**=*command*  
&nbsp;&nbsp;&nbsp;&nbsp;Command line to store into vector map history file (used for vector scripts)

## DESCRIPTION

*v.support* is used to set/update vector map metadata. While GRASS GIS
typically generates these metadata entries automatically, *v.support*
allows users to manually edit them when necessary.

## EXAMPLE

```sh
# update scale to 1:24000
v.support myvectmap scale=24000

# update organization
v.support myvectmap organization="OSGeo labs"
v.info myvectmap
```

## SEE ALSO

*[v.build](v.build.md), [v.info](v.info.md)*

## AUTHOR

Markus Neteler, Trento

## SOURCE CODE

Available at: [v.support source code](https://github.com/OSGeo/grass/tree/main/vector/v.support)
([history](https://github.com/OSGeo/grass/commits/main/vector/v.support))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
