---
name: v.to.lines.py
description: Converts vector polygons or points to lines.
keywords: [ vector, geometry, area, line, point ]
---

# v.to.lines.py

## NAME

***v.to.lines.py*** - Converts vector polygons or points to lines.

### 
### SYNOPSIS

**v.to.lines.py**  
**v.to.lines.py --help**  
**v.to.lines.py**  **input**=*name*
 **output**=*name*
 [**method**=*string*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output vector map  
**method**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Method used for point interpolation  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *delaunay*  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *delaunay*

## DESCRIPTION

*v.to.lines* converts vector polygons (boundaries) to lines as well as
vector points to lines via triangulations.

## NOTES

*v.to.lines* is able to convert point data (via triangulation) and areas
to lines (via boundary to line conversion). This script is a wrapper
script to *v.category*, *v.delaunay*, and *v.edit*.

In order to convert an ordered list of coordinates (ASCII table with
x,y\[,z\] coordinates) into vector lines, use *v.in.lines*.

## EXAMPLES

The examples are for the North Carolina sample dataset:

### Area to line conversion

```sh
v.to.lines input=boundary_municp output=boundary_municp_lines
```

### Point to line conversion

```sh
v.to.lines input=geodetic_pts output=geodetic_pts_lines
```

## SEE ALSO

*[v.category](v.category.md), [v.delaunay](v.delaunay.md),
[v.edit](v.edit.md), [v.in.lines](v.in.lines.md),
[v.to.points](v.to.points.md), [v.type](v.type.md)*

## AUTHOR

Luca Delucchi, Fondazione Edmund Mach

## SOURCE CODE

Available at: [v.to.lines source code](https://github.com/OSGeo/grass/tree/main/scripts/v.to.lines)
([history](https://github.com/OSGeo/grass/commits/main/scripts/v.to.lines))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
