---
name: v.to.rast3
description: Converts a vector map (only points) into a 3D raster map.
keywords: [ vector, conversion, voxel ]
---

# v.to.rast3

## NAME

***v.to.rast3*** - Converts a vector map (only points) into a 3D raster map.

### 
### SYNOPSIS

**v.to.rast3**  
**v.to.rast3 --help**  
**v.to.rast3**  **input**=*name*
 [**layer**=*string*]
 **output**=*name*
 **column**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**layer**=*string*  
&nbsp;&nbsp;&nbsp;&nbsp;Layer number or name  
&nbsp;&nbsp;&nbsp;&nbsp;Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *1*  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output 3D raster map  
**column**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of attribute column (data type must be numeric)

## DESCRIPTION

*v.to.rast3* converts a GRASS 3D vector point map to a GRASS 3D raster
map.

## NOTES

When converting from a 3D vector point layer to a 3D raster map a vector
point is converted into a single 3D raster cell (voxel) representing the
location of the vector point. As 3D raster cell value the database
attribute of the vector point is stored with floating point precision.

![Result of the v.to.rast3 test](v_to_rast3_test.png)  
*Fig: This screenshot shows the result of the v.to.rast3 test.
 Visualized are the cube of the GRASS region, the vector points as black dots
 and the voxel cells as wireframe model.
 Only cells with non-null values are shown.*

## SEE ALSO

*[g.region](g.region.md)*

## AUTHORS

Original s.to.rast3: Jaro Hofierka, Geomodel s.r.o.  
Updated by Radim Blazek

## SOURCE CODE

Available at: [v.to.rast3 source code](https://github.com/OSGeo/grass/tree/main/vector/v.to.rast3)
([history](https://github.com/OSGeo/grass/commits/main/vector/v.to.rast3))  
Latest change: Tuesday Feb 25 14:08:58 2025 in commit [429a884](https://github.com/OSGeo/grass/commit/429a8843c38637325f11575789155d5888d03270)
