---
name: v.unpack.py
description: Imports a GRASS GIS specific vector archive file (packed with v.pack) as a vector map
keywords: [ vector, import, copying ]
---

# v.unpack.py

## NAME

***v.unpack.py*** - Imports a GRASS GIS specific vector archive file (packed with v.pack) as a vector map

### 
### SYNOPSIS

**v.unpack.py**  
**v.unpack.py --help**  
**v.unpack.py** [**-op**]  **input**=*name.pack*
 [**output**=*name*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-o**  
&nbsp;&nbsp;&nbsp;&nbsp;Override projection check (use current projects's CRS)  
&nbsp;&nbsp;&nbsp;&nbsp;Assume that the dataset has same coordinate reference system as the current project  
**-p**  
&nbsp;&nbsp;&nbsp;&nbsp;Print projection information of input pack file and exit  
  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name.pack* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input pack file  
**output**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Default: taken from input file internals

## DESCRIPTION

*v.unpack* allows unpacking vector maps packed by *[v.pack](v.pack.md)*.

## NOTES

Name of the vector map is determined by default from pack file
internals. Optionally the name can be given by **output** parameter.

## EXAMPLE

Pack up vector map *random_point* into *random_point.pack* file.

```sh
v.pack input=random_point
```

the vector map can be afterwards unpacked by

```sh
v.unpack input=random_point.pack
```

## SEE ALSO

*[v.pack](v.pack.md), [v.in.ogr](v.in.ogr.md), [r.pack](r.pack.md)*

## AUTHOR

Luca Delucchi, Fondazione E. Mach (Italy), based on the *r.unpack* code

## SOURCE CODE

Available at: [v.unpack source code](https://github.com/OSGeo/grass/tree/main/scripts/v.unpack)
([history](https://github.com/OSGeo/grass/commits/main/scripts/v.unpack))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
