---
name: v.what.strds.py
description: Uploads space time raster dataset values at positions of vector points to the table.
keywords: [ vector, temporal, sampling, position, querying, attribute table, time ]
---

# v.what.strds.py

## NAME

***v.what.strds.py*** - Uploads space time raster dataset values at positions of vector points to the table.

### 
### SYNOPSIS

**v.what.strds.py**  
**v.what.strds.py --help**  
**v.what.strds.py** [**-u**]  **input**=*name*
 **strds**=*name* [,*name*,...]
 [**output**=*name*]
 [**where**=*sql_query*]
 [**t_where**=*sql_query*]
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-u**  
&nbsp;&nbsp;&nbsp;&nbsp;Update attribute table of input vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Instead of creating a new vector map update the attribute table with value(s)  
**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input vector map  
&nbsp;&nbsp;&nbsp;&nbsp;Or data source for direct OGR access  
**strds**=*name* [,*name*,...] **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of the input space time raster datasets  
**output**=*name*  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output vector map  
**where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword  
&nbsp;&nbsp;&nbsp;&nbsp;Example: income &lt; 1000 and population &gt;= 10000  
**t_where**=*sql_query*  
&nbsp;&nbsp;&nbsp;&nbsp;WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework  
&nbsp;&nbsp;&nbsp;&nbsp;Example: start_time &gt; '2001-01-01 12:30:00'

## DESCRIPTION

*v.what.strds* retrieves raster values from a given space-time raster
datasets (STRDS) using a point vector map.

## NOTES

TBD.

## EXAMPLES

```sh
v.what.strds input=mypoints strds=mystrds output=newvector
```

## SEE ALSO

*[v.what.rast](v.what.rast.md),
[t.vect.observe.strds](t.vect.observe.strds.md)*

## AUTHOR

Luca Delucchi

## SOURCE CODE

Available at: [v.what.strds source code](https://github.com/OSGeo/grass/tree/main/scripts/v.what.strds)
([history](https://github.com/OSGeo/grass/commits/main/scripts/v.what.strds))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
