---
description: wxGUI Components
index: wxGUI
keywords: [general, GUI]
---

# wxGUI Components

## DESCRIPTION

List of available *[wxGUI](wxGUI.md)* components:

- [Module dialogs](wxGUI.modules.md)
- [3D Viewer](wxGUI.nviz.md) (nviz)
- [Animation tool](wxGUI.animation.md), available as a command line tool
  *[g.gui.animation](g.gui.animation.md)*
- [Attribute Table Manager](wxGUI.dbmgr.md), available also as a command
  line tool *[g.gui.dbmgr](g.gui.dbmgr.md)*
- [Cartographic Composer](wxGUI.psmap.md), available also as a command
  line tool *[g.gui.psmap](g.gui.psmap.md)*
- [Data Catalog](wxGUI.datacatalog.md), available also as a command line
  tool *[g.gui.datacatalog](g.gui.datacatalog.md)*
- [Graphical Modeler](wxGUI.gmodeler.md), available also as a command
  line tool *[g.gui.gmodeler](g.gui.gmodeler.md)*
- [Ground Control Points Manager](wxGUI.gcp.md), available also as a
  command line tool *[g.gui.gcp](g.gui.gcp.md)*
- [Interactive Scatter Plot Tool](wxGUI.iscatt.md)
- [Map Swipe](wxGUI.mapswipe.md), available also as a command line tool
  *[g.gui.mapswipe](g.gui.mapswipe.md)*
- [Supervised Classification Tool](wxGUI.iclass.md), available also as a
  command line tool *[g.gui.iclass](g.gui.iclass.md)*
- Configuration tool for r.li modules,
  *[g.gui.rlisetup](g.gui.rlisetup.md)*
- [Timeline Tool](wxGUI.timeline.md), available also as a command line
  tool *[g.gui.timeline](g.gui.timeline.md)*
- [Temporal Plot Tool](wxGUI.tplot.md), available also as a command line
  tool *[g.gui.tplot](g.gui.tplot.md)*
- [Vector Digitizer](wxGUI.vdigit.md), available also as a command line
  tool *[g.gui.vdigit](g.gui.vdigit.md)*
- [Raster Digitizer](wxGUI.rdigit.md) available also as a command line
  tool *[g.gui.rdigit](g.gui.rdigit.md)*
- [Vector Network Analysis Tool](wxGUI.vnet.md)

## SEE ALSO

*[wxGUI](wxGUI.md)*

## SOURCE CODE

Available at: [wxGUI.components source code](https://github.com/OSGeo/grass/tree/main/gui/wxpython/docs)
([history](https://github.com/OSGeo/grass/commits/main/gui/wxpython/docs))  
Latest change: Wednesday Mar 26 21:44:22 2025 in commit [74d41f0](https://github.com/OSGeo/grass/commit/74d41f0b0040d98e95b898d760337be1e713a79c)
